# Uses of Class
org.eclipse.swt.graphics.PaletteData

Packages that use PaletteData
Package
Description
org.eclipse.swt.graphics

## Uses of PaletteData in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as PaletteData
Modifier and Type
Field
Description
`PaletteData`
ImageData.`palette`
The color table for the image.
Methods in org.eclipse.swt.graphics with parameters of type PaletteData
Modifier and Type
Method
Description
`static ImageData`
ImageData.`internal_new(int width, int height, int depth, PaletteData palette, int scanlinePad, byte[] data, int maskPad, byte[] maskData, byte[] alphaData, int alpha, int transparentPixel, int type, int x, int y, int disposalMethod, int delayTime)`
Invokes internal SWT functionality to create a new instance of this class.
Constructors in org.eclipse.swt.graphics with parameters of type PaletteData
Modifier
Constructor
Description
``
`ImageData(int width, int height, int depth, PaletteData palette)`
Constructs a new, empty ImageData with the given width, height, depth and palette.
``
`ImageData(int width, int height, int depth, PaletteData palette, int scanlinePad, byte[] data)`
Constructs a new, empty ImageData with the given width, height, depth, palette, scanlinePad and data.